Redmine - Feature #1106

Embedded repository images in the wiki
2008-04-25 17:50 - Leandro Lucarella

Status: New Start date: 2008-04-25
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution:

Description

It would be very useful if one can embed an image stored in the repository in the wiki, something like:
(I)source(:)path/to/image.png(!)

Ignore the '(" and ')’ chars, they are just to avoid wiki processing.

Related issues:

Has duplicate Redmine - Feature #1752: allow source:/path/to/picture to be us... Closed 2008-08-05
Has duplicate Redmine - Feature #8293: Reference images checked into the repo... Closed 2011-05-04
History

#1 - 2008-04-26 13:47 - Thomas Lecavelier

| could be a good idea, but | have some fears concerning security issue: how to be sure that the linked image is not a "bad-ass in disguise" which
could eventually break the redmine presenting it or other? Could be a problem too, to determine if the currently logged user can has access to the
repository: it would be a shame that redmine display an image that the user haven't right to see.

#2 - 2008-04-29 19:24 - Leandro Lucarella
| don't see the problem, it should be just expanded to the repository URL.

What I'm doing now is make that expansion myself, | use: (!)[full url](!). If the user don't have repository access, the image simply will be not shown
(because the browser will get a 403 or whatever the current mechanism is).

It would be wonderful if Redmine do that expansion for me :) (this way | don't have to worry if Redmine change it's URL scheme in the future or if |
deploy my Redmine differently in the future)

#3 - 2009-02-20 11:25 - Anonymous

This seems to fix it

#4 - 2009-02-20 11:26 - Anonymous

| meant this:

http:/github.com/koke/redmine/commit/ae1220435b2e30beae69caccd996cd1870ac2202

#5 - 2009-02-20 12:27 - Leandro Lucarella

Great. It's planned to be included in upstream? =)

#6 - 2009-02-20 23:13 - Eric Davis

Leandro Lucarella wrote:
Great. It's planned to be included in upstream? =)
If there was some tests for it | don't see why not. Might need to also check permissions to make sure the user is allowed to browse a repository.
#7 - 2012-09-26 14:57 - Sébastien Aubry
Has this feature ever been integrated? | tried to use the (!)source(:)path/to/image.png(!) syntax but it did not work. It would be very useful!

In the same way, when | try to open .png files in my SVN repository, | cannot see them inside the web browser. | am always asked to download them
as files.
http://github.com/koke/redmine/commit/ae1220435b2e30beae69caccd996cd1870ac2202

#8 - 2012-09-26 16:13 - jelle De Meyer
- Status changed from New to Resolved

- Assignee set to Jim Mulholland

#9 - 2012-09-26 16:40 - Etienne Massip
- Status changed from Resolved to New

- Assignee deleted (Jim Mulholland)

#10 - 2013-02-11 05:58 - K. Scott Tripp

+1 This would be very nice.

I'm guessing the plans to include it upstream fell through the cracks some time ago though.

#11 - 2013-02-28 23:38 - Georg Miller

+1 | need this feature also a lot.
Has anyone the patch from Jorge Bernal, because the link to github is broken?

Best regards

#12 - 2014-05-19 10:26 - Alex Rojo

+1 | need this feature too. Please....

#13 - 2017-10-19 01:01 - Mischa The Evil

- Subject changed from Embeded repository images in the wiki to Embedded repository images in the wiki

#14 - 2018-07-17 10:37 - Go MAEDA

- Has duplicate Feature #1752: allow source:/path/to/picture to be used when using inline image tag added

#15 - 2018-07-17 10:39 - Go MAEDA

- Has duplicate Feature #8293: Reference images checked into the repository added
